<template>
    <div class="w-full h-[93px] bg-primary-30 relative ml-[-1.7px]">
        <div class="flex items-center h-[77px] justify-between">
            <div class="logo flex items-center">
                <button type="button" @click="onClick()"
                    class="text-white font-medium rounded-full text-sm px-5 py-2.5 pr-2 text-center">
                    <fa-icon class="text-3xl" :icon="`fa-solid fa-bars`" />
                </button>
            <div class="text-white  text-sm px-5 py-2.5 pr-2"   >
                     <h3 class="text-[30px] font-ms"><span class="font-ms text-[30px]">LH</span> Pawnshop</h3>
                </div>
            </div>
  
            <div class="toolbar flex items-center mr-[20px] space-x-6">

                <div class="text-white font-mn text-[20px]" >
                    <VLanguage />
                </div>
                <svg width="25" height="24" viewBox="0 0 25 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path
                        d="M15.625 3.51562C15.625 5.45898 14.0527 7.03125 12.1094 7.03125C10.166 7.03125 8.59375 5.45898 8.59375 3.51562C8.59375 1.57227 10.166 0 12.1094 0C14.0527 0 15.625 1.57227 15.625 3.51562ZM20.7031 0C18.7598 0 17.1875 1.57227 17.1875 3.51562C17.1875 5.45898 18.7598 7.03125 20.7031 7.03125C22.6465 7.03125 24.2188 5.45898 24.2188 3.51562C24.2188 1.57227 22.6465 0 20.7031 0ZM3.51562 0C1.57227 0 0 1.57227 0 3.51562C0 5.45898 1.57227 7.03125 3.51562 7.03125C5.45898 7.03125 7.03125 5.45898 7.03125 3.51562C7.03125 1.57227 5.45898 0 3.51562 0Z"
                        fill="white" />
                    <path
                        d="M15.625 11.5156C15.625 13.459 14.0527 15.0312 12.1094 15.0312C10.166 15.0312 8.59375 13.459 8.59375 11.5156C8.59375 9.57227 10.166 8 12.1094 8C14.0527 8 15.625 9.57227 15.625 11.5156ZM20.7031 8C18.7598 8 17.1875 9.57227 17.1875 11.5156C17.1875 13.459 18.7598 15.0312 20.7031 15.0312C22.6465 15.0312 24.2188 13.459 24.2188 11.5156C24.2188 9.57227 22.6465 8 20.7031 8ZM3.51562 8C1.57227 8 0 9.57227 0 11.5156C0 13.459 1.57227 15.0312 3.51562 15.0312C5.45898 15.0312 7.03125 13.459 7.03125 11.5156C7.03125 9.57227 5.45898 8 3.51562 8Z"
                        fill="white" />
                    <path
                        d="M15.625 19.5156C15.625 21.459 14.0527 23.0312 12.1094 23.0312C10.166 23.0312 8.59375 21.459 8.59375 19.5156C8.59375 17.5723 10.166 16 12.1094 16C14.0527 16 15.625 17.5723 15.625 19.5156ZM20.7031 16C18.7598 16 17.1875 17.5723 17.1875 19.5156C17.1875 21.459 18.7598 23.0312 20.7031 23.0312C22.6465 23.0312 24.2188 21.459 24.2188 19.5156C24.2188 17.5723 22.6465 16 20.7031 16ZM3.51562 16C1.57227 16 0 17.5723 0 19.5156C0 21.459 1.57227 23.0312 3.51562 23.0312C5.45898 23.0312 7.03125 21.459 7.03125 19.5156C7.03125 17.5723 5.45898 16 3.51562 16Z"
                        fill="white" />
                </svg>
  
                <VProfile />
            </div>

        </div>
        <div class="w-full border-l-2 border-t-2 border-secondary-20 h-4 bg-ap absolute bottom-0 rounded-tl-[20px]">
        </div>
    </div>
  </template>
  
  <script>
  import { mapActions } from 'vuex';
  import VLanguage from "../VLanguage/index.vue";
  import VProfile from "../VProfile/index.vue";
   
  export default {
    name: 'v-header',
    methods: {
        onClick() {
            this.$emit('clicked');
        },
        ...mapActions('Auth', ['onLogout'])
    },
    components: {
    
    VLanguage,
    VProfile,
  
  },
  }
  </script>